if [ ! -f /etc/shells ] || ! grep -q "^/bin/fish$" /etc/shells
then
    echo -e "/bin/fish\n/usr/bin/fish" >> /etc/shells
fi

if [ ! -f /etc/fish/config.fish ]
then
    /usr/bin/mkdir -p /etc/fish
    /usr/bin/cp /etc/defaults/etc/fish/config.fish /etc/fish/config.fish
fi

if [ ! -f /etc/fish/conf.d/cygwin.fish ]
then
    /usr/bin/mkdir -p /etc/fish/conf.d
    /usr/bin/cp /etc/defaults/etc/fish/conf.d/cygwin.fish /etc/fish/conf.d/cygwin.fish
fi

